import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { ConcentratorContractFactory, AladdinConcentratorLegacyVault } from '../contracts';
export declare class EthereumConcentratorLegacyVaultContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<AladdinConcentratorLegacyVault> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: ConcentratorContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: ConcentratorContractFactory);
    getContract(address: string): AladdinConcentratorLegacyVault;
    getPoolLength(contract: AladdinConcentratorLegacyVault): Promise<BigNumberish>;
    getStakedTokenAddress(contract: AladdinConcentratorLegacyVault, poolIndex: number): Promise<string>;
    getRewardTokenAddress(): Promise<string>;
    getTotalAllocPoints(): Promise<number>;
    getTotalRewardRate(): Promise<number>;
    getPoolAllocPoints(): Promise<number>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<AladdinConcentratorLegacyVault>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<AladdinConcentratorLegacyVault>): Promise<BigNumberish | BigNumberish[]>;
}
